Subject: RE: I-D ACTION:draft-deacon-xkms-aia-00.txt [SCVP-AIA]

From: Peter Sylvester <[email-masked]>
Date: Tue, 9 Sep 2003 18:11:37 +0200 (MEST)

What do you suggest to put into the SignedData field sid which is 

SignerIdentifier ::= CHOICE {
        issuerAndSerialNumber IssuerAndSerialNumber,
        subjectKeyIdentifier [0] SubjectKeyIdentifier }

> 
> Steve,
> 
> Sure, I totally agree that a SCVP server is not necessary to have
> a cert. Actually, I am in favor of directly delivering the public-key of the SCVP server to the RP via a secure out-of-band channel.
> It is rather unfortunate that the current SCVP ID (draft 12)
> seems to require a SCVP server MUST have a cert. The section
> 4 of the current SCVP ID says "The SCVP server MUST include its
> own certificate in the certificates field within SignedData."
> I believe the text should be changed.
> 
> Best Regards,
> Wen-Cheng
> 
> 
> Stephen Kent wrote:
> > Wen-Cheng Wang,
> > As I mentioned in one of my many messages today, there may be no need 
> > for an SCVP server to have a cert. If the server is used by only 
> > local clients, e.g., in an enterprise context, then the server's 
> > public key need not be signed by anyone. certainly, as your note, the 
> > server is an EE, not a CA, so the usual self-signed cert model may 
> > not apply.
> > Steve

---

From: "Wen-Cheng Wang" <[email-masked]>
Date: Wed, 10 Sep 2003 19:59:27 +0800

Peter,

I think that the SubjectKeyIdentifier field might be the choice.
I anticipate that this will cause another round of debate on
whether the PKIX WG should define an standard way for
generating an unique key identifier, but I believe that at
least SCVP should define one if it is going to support "a SCVP
server without a certficate".

Well, I think I should further elaborate why the SCVP should
allow a SCVP client to directly trust the public-key of a SCVP
server without a certificate. I believe that a SCVP service is especially
usefull for a dumb RP. (By a dumb RP, I mean a RP which
is not capable of doing the complex job of certification path
processing by itself) The question is: if a SCVP server include its own
certificate within a SCVP Response as required by the current SCVP ID,
how does the dumb RP validate the SCVP server certificate before it using
the certificate to validate the SCVP response? Shouldn't the RP
build a certificate chain from its trust anchor to the SCVP server
certificate first and then validate the certificate chain in according
with the validation policy or constraints? However, please remember
that it is a dumb RP and it is not capable of doing the complex path
processing job by itself. If it can do that job by itself, then it is not
a dumb RP anymore; and if it is not a dumb RP, it is not necessary
to delegate the path processing job to a SCVP Server. Thus if a dumb
RP is required to validate the SCVP Server certificate, it will be a
chicken-and-egg problem. Therefore, I believe it will be more
practical if the SCVP allows a SCVP client to directly trust the public-key
of a SCVP server without a certificate.

Best Regards,
Wen-Cheng